﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:date="http://exslt.org/dates-and-times" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:common="http://exslt.org/common" xmlns:math="http://exslt.org/math" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:dtyp.02.06="http://sbr.gov.au/fdtn/sbr.02.06.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:pyin.02.13="http://sbr.gov.au/icls/py/pyin/pyin.02.13.data" xmlns:dtyp.02.14="http://sbr.gov.au/fdtn/sbr.02.14.dtyp" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:address2.02.02="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module" xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:phone1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:declaration1.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration1.02.01.module" xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:rvctc2.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data" xmlns:bafpr1.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.09.data" xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" xmlns:email1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactelectronicmail1.02.00.module" xmlns:fax1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactfacsimile1.02.00.module" xmlns:pyin.02.07="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data" xmlns:ReportingPartyBranchCode.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyBranchCode.02.00.dims" xmlns:ReportingPartyABN.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
		<msxsl:script language="C#" implements-prefix="function">

		public bool IsDate(string dateToCheck)
		{
			DateTime dt;
			return DateTime.TryParse(dateToCheck, out dt);
		}

		public bool IsInt(string intToCheck)
		{
			Int32 i;
			return Int32.TryParse(intToCheck, out i);
		}

		public bool IsLong(string longToCheck)
		{
			long l;
			return long.TryParse(longToCheck, out l);
		}

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
		</msxsl:script>
		<xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="yes" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" /><xsl:param name="full-event" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02">false</xsl:param><xsl:param name="document-sequence-number" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02">1</xsl:param>

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><xsl:variable name="results" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M59" /></xsl:variable><xsl:if test="$results" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:choose><xsl:when test="$full-event='true'"><sbdm:MessageEvent><sbdm:Message.Event.MaximumSeverity.Code><xsl:choose><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Warning']">Warning</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></sbdm:Message.Event.MaximumSeverity.Code><sbdm:MessageEventItems><xsl:copy-of select="$results" /></sbdm:MessageEventItems></sbdm:MessageEvent></xsl:when><xsl:otherwise><sbdm:MessageEventItems><xsl:copy-of select="$results" /></sbdm:MessageEventItems></xsl:otherwise></xsl:choose></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN WarningsWarning Validations-->


	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M59">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             string-length(normalize-space(.)) != 0                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00002</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Address Line 3 must be left blank</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>Lines 3 and 4 of the address are not used on this form</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00002</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M59">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             string-length(normalize-space(.)) != 0                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00003</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Address Line 4 must be left blank</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>Lines 3 and 4 of the address are not used on this form</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00003</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.08:AddressDetails.CountryName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M59">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             string-length(normalize-space(.)) != 0                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00004</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Country Name must be left blank</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>For SBR submissions to the ATO, the Country Name must be left blank. To supply the country for an overseas address please supply a Country Code</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00004</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M59">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            pyde.02.08:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(exslt:uppercase(.))='AU']                              and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(exslt:uppercase(.),'^(TRUE|1)$')]                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00001</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Overseas address indicator must not be 'TRUE' if Country Code is 'au'</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>The overseas address indicator must be 'FALSE' if the Country Code is 'au' - representing Australia. If the address is an overseas address please supply the correct Country Code</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00001</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            pyde.02.08:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and  string-length(normalize-space(.)) != 0 and normalize-space(exslt:uppercase(.)) !='AU']                              and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(exslt:uppercase(.),'^(FALSE|0)$')]                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00005</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>If an overseas Country Code is used, the Overseas Address indicator must be 'TRUE'</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>If the address is an Australian address, the overseas address indicator must be set to 'FALSE' and you do not need to supply a Country Code. If the address is an overseas address, the overseas address indicator must be set to 'TRUE' and you must supply a Country Code other than 'au'</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00005</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and  (@contextRef = $PAYEE.ContextId) and exslt:uppercase(.)='C']                         and                         pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and (@contextRef = $PAYEE.ContextId)                         and                         not(regexp:test(exslt:uppercase(normalize-space(.)),'^(?i)(ACT|NSW|NT|QLD|SA|VIC|WA|TAS)$'))]                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00010</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS.</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00027</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and  (@contextRef = $RP.ContextId) and exslt:uppercase(.)='C']                         and                           pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and (@contextRef = $RP.ContextId)                         and                           not(regexp:test(exslt:uppercase(normalize-space(.)),'^(?i)(\s+|^)(ACT|NSW|NT|QLD|SA|VIC|WA|TAS)(\s+|$)'))]                                                    )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00010</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS.</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00010</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M59">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[ not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and (string-length(normalize-space(.)) != 0) and not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')) ]                         and pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']                         and pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                     )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00006</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Organisation name must contain at least one alpha character</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00006</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[ not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')) ]                         and pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MTR']                         and pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                     )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00006</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Organisation name must contain at least one alpha character</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00007</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[ not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')) ]                         and pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']                         and pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                     )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00006</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Organisation name must contain at least one alpha character</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00023</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M59"><xsl:variable name="CurrentRPContextId" select="./@id" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            . = $RP.Context and                             ../address2.02.02:AddressDetails[                               not(@i:nil='true' or @i:nil='1')                                and ./pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(exslt:uppercase(.),'^(FALSE|0)$')]                               and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                                and (                                 not(./pyde.02.00:AddressDetails.Postcode.Text[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0])                                 or                                 not(./pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0])                                 )                              ]                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00008</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>State and post code not supplied for an Australian address</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>If the overseas indicator is no (false), then an Australian state code and post code must be present</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00008</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            . = $RP.Context and                            ../address2.02.02:AddressDetails[                            not(@i:nil='true' or @i:nil='1') and                            ./pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                            and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                             and not( ./pyde.02.08:AddressDetails.Country.Code[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                             ]                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00011</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Country code must be present for overseas address</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>When the overseas address indicator is 'TRUE', the corresponding Country Code must be supplied</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00011</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            . = $RP.Context and                            ../prsnunstrcnm1.02.01:PersonUnstructuredName[                            not(@i:nil='true' or @i:nil='1') and                            not( ./pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                             and ./pyde.02.05:PersonUnstructuredName.Usage.Code[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'CONTACT']                             ]                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00012</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payer Contact Name must be supplied</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00012</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:variable name="CurrentPAYEEContextId" select="./@id" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $PAYEE.Context and                         not(../bafpr1.02.09:Income.BusinessPaymentGross.Amount[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0])                      )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00030</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Gross Amount Paid not supplied</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00030</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $RP.Context and                          ../address2.02.02:AddressDetails[                          not(@i:nil='true' or @i:nil='1')                                                  and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                           and not(./pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0])                     ]                     )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00009</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Suburb/Town/City not supplied</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00009</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $PAYEE.Context                           and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0]                          and                           (../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1')]  &gt;                            ../bafpr1.02.09:Income.BusinessPaymentGross.Amount[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1')]                            )                 )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00031</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Total Tax Withheld Where ABN Not Quoted amount greater than Gross Amount Paid</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00031</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $PAYEE.Context                           and ../rvctc3.02.00:GoodsAndServicesTax.Liability.Amount[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0]                          and                           (../rvctc3.02.00:GoodsAndServicesTax.Liability.Amount[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1')]  &gt;                            ../bafpr1.02.09:Income.BusinessPaymentGross.Amount[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1')]                            )                 )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00032</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Total GST amount  greater than Gross Amount Paid</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00032</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $PAYEE.Context and                          ../address2.02.02:AddressDetails[                          not(@i:nil='true' or @i:nil='1')                           and ./pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                          and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                           and (                             not(./pyde.02.00:AddressDetails.Postcode.Text[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0])                             or                             not(./pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0])                             )                     ]                 )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00008</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>State and post code not supplied for an Australian address</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>If the overseas indicator is no (false), then an Australian state code and post code must be present</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00025</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $PAYEE.Context and                          ../address2.02.02:AddressDetails[                          not(@i:nil='true' or @i:nil='1')                           and ./pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                          and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                           and not(./pyde.02.08:AddressDetails.Country.Code[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0])                     ]                     )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00011</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Country code must be present for overseas address</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>When the overseas address indicator is 'TRUE', the corresponding Country Code must be supplied</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00028</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $PAYEE.Context and                         ../orgname2.02.00:OrganisationNameDetails                         [                             not(@i:nil='true' or @i:nil='1')                         and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']                         and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                         and not(./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         ]                         and                         ../prsnstrcnm3.02.01:PersonNameDetails                         [                             not(@i:nil='true' or @i:nil='1')                         and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']                         and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']                         and not(./pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         ]                      )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00022</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payee individual or non-individual name should be supplied</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00022</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $PAYEE.Context and                         ../address2.02.02:AddressDetails[                         not(@i:nil='true' or @i:nil='1')                          and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                          and not(./pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $CurrentPAYEEContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0])                         ]                        )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00009</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Suburb/Town/City not supplied</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00026</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M59">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and . ='03']                          and                          regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                                         [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId],'^(?i)(@)(.*)$')                           or                           regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                                         [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId],'^(.*)(?i)(@)$')                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00013</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Email address must not start or end with an @ symbol</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00013</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and . ='03']                          and                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and not(regexp:test(.,'^(?i)(.*)(\x2E)(.*)$'))]                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00015</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Email address must contain a dot (.)</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00015</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and . ='03']                          and                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and not(regexp:test(.,'^(?i)(.*)(@)(.*)$'))]                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00014</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Email address must contain an @ symbol</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00014</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M59">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           (string-length(normalize-space(.)) != 0)                           and (not(regexp:test(., '^(0[1-9][2-9][0-9][0-9][1-9]|[1-9][0-9][0-9][0-9][0-9][0-9])$'))                           or (string-length(normalize-space(.)) != 6))                           )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00029</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>BSB Number must be six digits and greater than 012000</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00029</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M59">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef = $PAYEE.ContextId and (string-length(normalize-space(.)) != 0) and function:ValidateABN(.)" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00016</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payee ABN not valid</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00016</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M59">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:PersonNameDetails.GivenName.Text[ not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')) ]                         and pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']                         and pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']                         and pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                                                 )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00020</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payee given name must contain at least one alpha character</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00020</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:PersonNameDetails.FamilyName.Text[ not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')) ]                         and pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']                         and pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']                         and pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                                                 )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00019</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payee family name must contain at least one alpha character</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00019</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:PersonNameDetails.OtherGivenName.Text[ not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')) ]                         and pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']                         and pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']                         and pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                                                 )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00021</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payee other given name must contain at least one alpha character</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00021</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                                            pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']                         and pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']                         and pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                         and pyde.02.00:PersonNameDetails.Title.Text[ not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and string-length(normalize-space(.)) != 0                         and not(                               exslt:uppercase(normalize-space(.)) = '2LT' or                               exslt:uppercase(normalize-space(.)) = 'AB' or                               exslt:uppercase(normalize-space(.)) = 'ABBOT' or                               exslt:uppercase(normalize-space(.)) = 'AC' or                               exslt:uppercase(normalize-space(.)) = 'ACM' or                               exslt:uppercase(normalize-space(.)) = 'ACW' or                               exslt:uppercase(normalize-space(.)) = 'ADM' or                               exslt:uppercase(normalize-space(.)) = 'AIR CDRE' or                               exslt:uppercase(normalize-space(.)) = 'ALDERMAN' or                               exslt:uppercase(normalize-space(.)) = 'AM' or                               exslt:uppercase(normalize-space(.)) = 'AMBSR' or                               exslt:uppercase(normalize-space(.)) = 'ARCHBISHOP' or                               exslt:uppercase(normalize-space(.)) = 'ARCHDEACON' or                               exslt:uppercase(normalize-space(.)) = 'ASSOC PROF' or                               exslt:uppercase(normalize-space(.)) = 'AVM' or                               exslt:uppercase(normalize-space(.)) = 'BARON' or                               exslt:uppercase(normalize-space(.)) = 'BARONESS' or                               exslt:uppercase(normalize-space(.)) = 'BDR' or                               exslt:uppercase(normalize-space(.)) = 'BISHOP' or                               exslt:uppercase(normalize-space(.)) = 'BR' or                               exslt:uppercase(normalize-space(.)) = 'BRIG' or                               exslt:uppercase(normalize-space(.)) = 'CANON' or                               exslt:uppercase(normalize-space(.)) = 'CAPT' or                               exslt:uppercase(normalize-space(.)) = 'CARDINAL' or                               exslt:uppercase(normalize-space(.)) = 'CDRE' or                               exslt:uppercase(normalize-space(.)) = 'CDT' or                               exslt:uppercase(normalize-space(.)) = 'CHAP' or                               exslt:uppercase(normalize-space(.)) = 'CMDR' or                               exslt:uppercase(normalize-space(.)) = 'CMM' or                               exslt:uppercase(normalize-space(.)) = 'COL' or                               exslt:uppercase(normalize-space(.)) = 'CONST' or                               exslt:uppercase(normalize-space(.)) = 'CONSUL' or                               exslt:uppercase(normalize-space(.)) = 'COUNT' or                               exslt:uppercase(normalize-space(.)) = 'COUNTESS' or                               exslt:uppercase(normalize-space(.)) = 'CPL' or                               exslt:uppercase(normalize-space(.)) = 'CPO' or                               exslt:uppercase(normalize-space(.)) = 'DAME' or                               exslt:uppercase(normalize-space(.)) = 'DEACON' or                               exslt:uppercase(normalize-space(.)) = 'DEACONESS' or                               exslt:uppercase(normalize-space(.)) = 'DEAN' or                               exslt:uppercase(normalize-space(.)) = 'DEPUTY SUPT' or                               exslt:uppercase(normalize-space(.)) = 'DIRECTOR' or                               exslt:uppercase(normalize-space(.)) = 'DR' or                               exslt:uppercase(normalize-space(.)) = 'DUCHESS' or                               exslt:uppercase(normalize-space(.)) = 'DUKE' or                               exslt:uppercase(normalize-space(.)) = 'EARL' or                               exslt:uppercase(normalize-space(.)) = 'EF' or                               exslt:uppercase(normalize-space(.)) = 'ENGR' or                               exslt:uppercase(normalize-space(.)) = 'FLGOFF' or                               exslt:uppercase(normalize-space(.)) = 'FLT LT' or                               exslt:uppercase(normalize-space(.)) = 'FR' or                               exslt:uppercase(normalize-space(.)) = 'FSGT' or                               exslt:uppercase(normalize-space(.)) = 'GEN' or                               exslt:uppercase(normalize-space(.)) = 'GNR' or                               exslt:uppercase(normalize-space(.)) = 'GOV' or                               exslt:uppercase(normalize-space(.)) = 'GP CAPT' or                               exslt:uppercase(normalize-space(.)) = 'HON' or                               exslt:uppercase(normalize-space(.)) = 'HON JUDGE' or                               exslt:uppercase(normalize-space(.)) = 'HON JUST' or                               exslt:uppercase(normalize-space(.)) = 'HRH' or                               exslt:uppercase(normalize-space(.)) = 'INSP' or                               exslt:uppercase(normalize-space(.)) = 'JUDGE' or                               exslt:uppercase(normalize-space(.)) = 'JUST' or                               exslt:uppercase(normalize-space(.)) = 'LAC' or                               exslt:uppercase(normalize-space(.)) = 'LACW' or                               exslt:uppercase(normalize-space(.)) = 'LADY' or                               exslt:uppercase(normalize-space(.)) = 'LBDR' or                               exslt:uppercase(normalize-space(.)) = 'LCPL' or                               exslt:uppercase(normalize-space(.)) = 'LEUT' or                               exslt:uppercase(normalize-space(.)) = 'LORD' or                               exslt:uppercase(normalize-space(.)) = 'LS' or                               exslt:uppercase(normalize-space(.)) = 'LT' or                               exslt:uppercase(normalize-space(.)) = 'LT CMDR' or                               exslt:uppercase(normalize-space(.)) = 'LT COL' or                               exslt:uppercase(normalize-space(.)) = 'LT GEN' or                               exslt:uppercase(normalize-space(.)) = 'LTGOV' or                               exslt:uppercase(normalize-space(.)) = 'MADAM' or                               exslt:uppercase(normalize-space(.)) = 'MADAME' or                               exslt:uppercase(normalize-space(.)) = 'MAJ' or                               exslt:uppercase(normalize-space(.)) = 'MAJ GEN' or                               exslt:uppercase(normalize-space(.)) = 'MASTER' or                               exslt:uppercase(normalize-space(.)) = 'MATRON' or                               exslt:uppercase(normalize-space(.)) = 'MAYOR' or                               exslt:uppercase(normalize-space(.)) = 'MAYORESS' or                               exslt:uppercase(normalize-space(.)) = 'MGR' or                               exslt:uppercase(normalize-space(.)) = 'MIDN' or                               exslt:uppercase(normalize-space(.)) = 'MISS' or                               exslt:uppercase(normalize-space(.)) = 'MON' or                               exslt:uppercase(normalize-space(.)) = 'MOST REV' or                               exslt:uppercase(normalize-space(.)) = 'MR' or                               exslt:uppercase(normalize-space(.)) = 'MRS' or                               exslt:uppercase(normalize-space(.)) = 'MS' or                               exslt:uppercase(normalize-space(.)) = 'NURSE' or                               exslt:uppercase(normalize-space(.)) = 'OCDT' or                               exslt:uppercase(normalize-space(.)) = 'PASTOR' or                               exslt:uppercase(normalize-space(.)) = 'PATRIARCH' or                               exslt:uppercase(normalize-space(.)) = 'PLT OFF' or                               exslt:uppercase(normalize-space(.)) = 'PO' or                               exslt:uppercase(normalize-space(.)) = 'PRIOR' or                               exslt:uppercase(normalize-space(.)) = 'PROF' or                               exslt:uppercase(normalize-space(.)) = 'PTE' or                               exslt:uppercase(normalize-space(.)) = 'RABBI' or                               exslt:uppercase(normalize-space(.)) = 'RADM' or                               exslt:uppercase(normalize-space(.)) = 'RECTOR' or                               exslt:uppercase(normalize-space(.)) = 'REG SGT MJR' or                               exslt:uppercase(normalize-space(.)) = 'REV' or                               exslt:uppercase(normalize-space(.)) = 'RF' or                               exslt:uppercase(normalize-space(.)) = 'RT HON' or                               exslt:uppercase(normalize-space(.)) = 'RT REV' or                               exslt:uppercase(normalize-space(.)) = 'RT REV BISHOP' or                               exslt:uppercase(normalize-space(.)) = 'RT REV MON' or                               exslt:uppercase(normalize-space(.)) = 'SBLT' or                               exslt:uppercase(normalize-space(.)) = 'SCDT' or                               exslt:uppercase(normalize-space(.)) = 'SEN' or                               exslt:uppercase(normalize-space(.)) = 'SGT' or                               exslt:uppercase(normalize-space(.)) = 'SIR' or                               exslt:uppercase(normalize-space(.)) = 'SISTER SUP' or                               exslt:uppercase(normalize-space(.)) = 'SM' or                               exslt:uppercase(normalize-space(.)) = 'SMN' or                               exslt:uppercase(normalize-space(.)) = 'SNR' or                               exslt:uppercase(normalize-space(.)) = 'SNR CONST' or                               exslt:uppercase(normalize-space(.)) = 'SQN LDR' or                               exslt:uppercase(normalize-space(.)) = 'SR' or                               exslt:uppercase(normalize-space(.)) = 'SSGT' or                               exslt:uppercase(normalize-space(.)) = 'SUPR' or                               exslt:uppercase(normalize-space(.)) = 'SWAMI' or                               exslt:uppercase(normalize-space(.)) = 'TF' or                               exslt:uppercase(normalize-space(.)) = 'VADM' or                               exslt:uppercase(normalize-space(.)) = 'VCE CMNDR' or                               exslt:uppercase(normalize-space(.)) = 'VERY REV' or                               exslt:uppercase(normalize-space(.)) = 'VICAR' or                               exslt:uppercase(normalize-space(.)) = 'VISCOUNT' or                               exslt:uppercase(normalize-space(.)) = 'WG CDR' or                               exslt:uppercase(normalize-space(.)) = 'WO' or                               exslt:uppercase(normalize-space(.)) = 'WO1' or                               exslt:uppercase(normalize-space(.)) = 'WO2' or                               exslt:uppercase(normalize-space(.)) = 'WOFF'                             )]                    )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00017</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Title is invalid</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00017</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                                            pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']                         and pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']                         and pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                         and pyde.02.00:PersonNameDetails.NameSuffix.Text[ not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and string-length(normalize-space(.)) != 0                         and not(                             exslt:uppercase(normalize-space(.)) = 'ESQ' or                             exslt:uppercase(normalize-space(.)) = 'II' or                             exslt:uppercase(normalize-space(.)) = 'III' or                             exslt:uppercase(normalize-space(.)) = 'IV' or                             exslt:uppercase(normalize-space(.)) = 'JNR' or                             exslt:uppercase(normalize-space(.)) = 'JP' or                             exslt:uppercase(normalize-space(.)) = 'MHA' or                             exslt:uppercase(normalize-space(.)) = 'MHR' or                             exslt:uppercase(normalize-space(.)) = 'MLA' or                             exslt:uppercase(normalize-space(.)) = 'MLC' or                             exslt:uppercase(normalize-space(.)) = 'MP' or                             exslt:uppercase(normalize-space(.)) = 'QC' or                             exslt:uppercase(normalize-space(.)) = 'SNR'                             )]                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00018</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Suffix is invalid</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00018</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="declaration1.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M59">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                                   pyin.02.03:Declaration.StatementType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'TRUEANDCORRECT']                           and                         function:IsDate1GreaterThanDate2                         (                           pyin.02.00:Declaration.Signature.Date [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]/text(),                            date:date-time()                         )                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00033</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Signature date must not be later than today</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.W00033</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template><xsl:template match="text()" priority="-1" mode="M59" /><xsl:template match="@*|node()" priority="-2" mode="M59"><xsl:apply-templates select="@*|*" mode="M59" /></xsl:template></xsl:stylesheet>