﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron">
<!-- ========= DVR.ATO.MONEY ========= -->

<diagnostic
		id="DVR.ATO.MONEY.S.11.0">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.GEN.400011</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.MONEY.U.11.0">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.GEN.400011</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.MONEY.U.13.2">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.GEN.400011</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<!-- ==================  -->
<diagnostic
		id="DVR.ATO.MONEY.S.13.2">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.GEN.400011</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000001">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000001</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>The number of Intermediary (Supplier)  context must equal one</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000010">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000010</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Supplier Name must be present</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Supplier name must include a type code of "MN" and currency code of "C".</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000011">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000011</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Organisation name must contain at least one alpha character</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000012">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000012</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Organisation name cannot contain repeated hyphen, apostrophe, or space characters</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000013">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000013</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Supplier Contact Telephone number must be present</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000015">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000015</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Contact Name exceeds maximum length of 38 characters.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000016">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000016</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Supplier Contact Name must be present</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000020">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000020</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Supplier Business Address must be present</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000021">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000021</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Supplier Suburb/Town/City must be present</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000043">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000043</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Supplier declaration must be present</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000002">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000002</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Each Reporting Party (Payer) context must have at least one Payee context</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Each Reporting Party (Payer) context must have at least one Payee context with same Reporting Party ABN and branch code.</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000004">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000004</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Entity identifier scheme must be 'http://www.ato.gov.au/abn'</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000005">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000005</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee entity identifier scheme must 'http://www.sbr.gov.au/id'</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000022">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000022</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Suburb, Town or Locality Name exceeds maximum length of 27 characters.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000024">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000024</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Country code must be present for overseas address</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>When the overseas address indicator is 'TRUE', the corresponding Country Code must be supplied</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000028">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000028</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Financial Year must be present.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000030">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000030</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Organisation Branch Code must be present.</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Organisation Branch Code must be supplied. If unknown default to "1".</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000032">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000032</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payer Name must be present</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000033">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000033</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payer address must be present</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000035">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000035</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee family name exceeds maximum length of 30.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000036">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000036</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee given name exceeds maximum length of 15.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000037">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000037</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee other given name exceeds maximum length of 15.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000041">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000041</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Amendment Indicator must be present</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000025">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000025</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Email address must not start or end with an @ symbol</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000026">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000026</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Email address must contain an @ symbol</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000027">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000027</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Email address must contain a dot (.)</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000038">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000038</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Monetary fields must be unsigned and have a maximum of 11 chars, no decimals</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000039">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000038</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Monetary fields must be unsigned and have a maximum of 11 chars, no decimals</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000040">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000038</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Monetary fields must be unsigned and have a maximum of 11 chars, no decimals</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.GEN.432016">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.GEN.432016</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Telephone must include number, usage code '03' and service line code '01' or '02'.</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>A telephone must include the number, a usage code of '03' - contact, and a service line code of '01' - Mobile or '02' - Landline or fixed line. An two digit area code should be provided for a landline.</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000014">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000014</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Contact Name must have a usage code of 'Contact'</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.GEN.438008">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.GEN.438008</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Fax must include the number and usage code of "03" - Contact.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.GEN.410167">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.GEN.410167</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Overseas address indicator must be present</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.GEN.436276">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.GEN.436276</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Email address must include an address and a usage code '03'</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000019">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000019</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Address usage code must be either "BUS" or "POS" and currency code of "C"</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000042">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000042</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Supplier declaration must be complete</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Within the Declaration, the Statement Type must be 'TrueAndCorrect', Statement Accepted must be 'Yes' (true), and Signature Date must be present.</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000034">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000034</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee individual name must have type code 'LGL' (legal), currency code 'C' (current) and usage code 'Identifier'.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000031">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000031</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Organisation name type code must either be "MN" or "MTR" and currency code must be "C"</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000029">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000029</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Financial Year must not be less than 2013</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000023">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000023</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000018">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000018</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>State and post code must be present for an Australian address</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>If the overseas indicator is no (false), then an Australian state code and post code must be present</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000006">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000006</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Reporting party period start date and end date must be within the same financial year</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000008">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000008</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee context must contain the Reporting Party (Payer) ABN and branch code</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.SWS002">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.SWS002</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>The number of Payee contexts must not exceed 250</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.BDE001">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.BDE001</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>At least one Reporting Party (Payer) context must be present</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.BDE002">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.BDE002</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Reporting Party (Payer) ABN and branch code must be unique</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.SWS001">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.SWS001</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>The number of Reporting Party (Payer) context must equal one</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00001">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00001</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Overseas address indicator must not be 'TRUE' if Country Code is 'au'</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>The overseas address indicator must be 'FALSE' if the Country Code is 'au' - representing Australia. If the address is an overseas address please supply the correct Country Code</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00002">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00002</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Address Line 3 must be left blank</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Lines 3 and 4 of the address are not used on this form</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00003">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00003</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Address Line 4 must be left blank</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Lines 3 and 4 of the address are not used on this form</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00004">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00004</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Country Name must be left blank</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>For SBR submissions to the ATO, the Country Name must be left blank. To supply the country for an overseas address please supply a Country Code</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00005">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00005</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>If an overseas Country Code is used, the Overseas Address indicator must be 'TRUE'</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>If the address is an Australian address, the overseas address indicator must be set to 'FALSE' and you do not need to supply a Country Code. If the address is an overseas address, the overseas address indicator must be set to 'TRUE' and you must supply a Country Code other than 'au'</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00006">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00006</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Organisation name must contain at least one alpha character</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00011">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00011</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Country code must be present for overseas address</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>When the overseas address indicator is 'TRUE', the corresponding Country Code must be supplied</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00012">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00012</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payer Contact Name must be supplied</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00007">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00006</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Organisation name must contain at least one alpha character</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00013">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00013</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Email address must not start or end with an @ symbol</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00030">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00030</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Gross Amount Paid not supplied</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00031">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00031</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Total Tax Withheld Where ABN Not Quoted amount greater than Gross Amount Paid</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00032">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00032</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Total GST amount  greater than Gross Amount Paid</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00009">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00009</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Suburb/Town/City not supplied</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00016">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00016</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee ABN not valid</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00025">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00008</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>State and post code not supplied for an Australian address</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>If the overseas indicator is no (false), then an Australian state code and post code must be present</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00028">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00011</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Country code must be present for overseas address</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>When the overseas address indicator is 'TRUE', the corresponding Country Code must be supplied</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00022">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00022</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee individual or non-individual name should be supplied</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00020">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00020</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee given name must contain at least one alpha character</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00026">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00009</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Suburb/Town/City not supplied</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00019">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00019</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee family name must contain at least one alpha character</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00021">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00021</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Payee other given name must contain at least one alpha character</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00023">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00006</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Organisation name must contain at least one alpha character</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000003">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000003</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Invalid ABN</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000007">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000007</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Each Payee context must have a Reporting Party (Payer) context</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00027">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00010</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00033">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00033</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Signature date must not be later than today</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00017">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00017</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Title is invalid</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00018">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00018</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Suffix is invalid</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00015">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00015</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Email address must contain a dot (.)</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00014">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00014</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Email address must contain an @ symbol</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00010">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00010</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS.</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00029">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00029</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>BSB Number must be six digits and greater than 012000</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.W00008">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.W00008</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Warning</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>State and post code not supplied for an Australian address</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>If the overseas indicator is no (false), then an Australian state code and post code must be present</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000045">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000045</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Tax Agent Number or Registered Agent Number has failed the algorithm check</Message.Event.Item.Short.Description>
</MessageEventItem></diagnostic>
<diagnostic
		id="DVR.ATO.TPAR.000044">
<MessageEventItem xmlns="http://sbr.gov.au/comn/sbdm.02.data">
<Message.Event.Item.Error.Code>CMN.ATO.TPAR.000044</Message.Event.Item.Error.Code>
<Message.Event.Item.Severity.Code>Error</Message.Event.Item.Severity.Code>
<Message.Event.Item.Short.Description>Future lodgements are not supported</Message.Event.Item.Short.Description>
<Message.Event.Item.Detailed.Description>Financial year must not be greater than current financial year</Message.Event.Item.Detailed.Description>
</MessageEventItem></diagnostic>
</diagnostics>