﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:date="http://exslt.org/dates-and-times" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:common="http://exslt.org/common" xmlns:math="http://exslt.org/math" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:dtyp.02.06="http://sbr.gov.au/fdtn/sbr.02.06.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:pyin.02.13="http://sbr.gov.au/icls/py/pyin/pyin.02.13.data" xmlns:dtyp.02.14="http://sbr.gov.au/fdtn/sbr.02.14.dtyp" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:address2.02.02="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module" xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:phone1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:declaration1.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration1.02.01.module" xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:rvctc2.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data" xmlns:bafpr1.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.09.data" xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" xmlns:email1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactelectronicmail1.02.00.module" xmlns:fax1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactfacsimile1.02.00.module" xmlns:pyin.02.07="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data" xmlns:ReportingPartyBranchCode.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyBranchCode.02.00.dims" xmlns:ReportingPartyABN.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
		<msxsl:script language="C#" implements-prefix="function">

		public bool IsDate(string dateToCheck)
		{
			DateTime dt;
			return DateTime.TryParse(dateToCheck, out dt);
		}

		public bool IsInt(string intToCheck)
		{
			Int32 i;
			return Int32.TryParse(intToCheck, out i);
		}

		public bool IsLong(string longToCheck)
		{
			long l;
			return long.TryParse(longToCheck, out l);
		}

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
		</msxsl:script>
		<xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="yes" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" /><xsl:param name="full-event" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02">false</xsl:param><xsl:param name="document-sequence-number" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02">1</xsl:param>

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><xsl:variable name="results" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M58" /><xsl:apply-templates select="/" mode="M60" /><xsl:apply-templates select="/" mode="M61" /><xsl:apply-templates select="/" mode="M63" /></xsl:variable><xsl:if test="$results" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:choose><xsl:when test="$full-event='true'"><sbdm:MessageEvent><sbdm:Message.Event.MaximumSeverity.Code><xsl:choose><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Warning']">Warning</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></sbdm:Message.Event.MaximumSeverity.Code><sbdm:MessageEventItems><xsl:copy-of select="$results" /></sbdm:MessageEventItems></sbdm:MessageEvent></xsl:when><xsl:otherwise><sbdm:MessageEventItems><xsl:copy-of select="$results" /></sbdm:MessageEventItems></xsl:otherwise></xsl:choose></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN ContextValidations for contexts that are applicable accross all of the TPAR services.-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M58">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count($INT.Context) != 1                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000001</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>The number of Intermediary (Supplier)  context must equal one</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000001</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M58" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M58"><xsl:variable name="PayeeABN" select="./xbrli:entity/xbrli:segment/xbrldi:typedMember[@dimension='ReportingPartyABN.02.00_typedelement:ReportingPartyABNDimension']/ReportingPartyABN.02.00_typedelement:Identifiers.AustralianBusinessNumber.Identifier/text()" /><xsl:variable name="PayeeOrgCode" select="./xbrli:entity/xbrli:segment/xbrldi:typedMember[@dimension='ReportingPartyBranchCode.02.00_typedelement:ReportingPartyBranchCodeDimension']/ReportingPartyBranchCode.02.00_typedelement:OrganisationDetails.OrganisationBranch.Code/text()" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $PAYEE.Context                         and                        count                        (                            $RP.Context                            [                                                        $PayeeABN                             =                             ./xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/abn']/text()                             and                             $PayeeOrgCode                              =                              ../pyde.02.00:OrganisationDetails.OrganisationBranch.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]/text()                            ]                        ) != 1                        )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000007</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Each Payee context must have a Reporting Party (Payer) context</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000007</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not (                                                 xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                           xbrli:identifier[not(@i:nil='true' or @i:nil='1')                             and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN'                             and string-length(normalize-space(.)) != 0                             and not(function:ValidateABN(.))]                     )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000003</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Invalid ABN</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000003</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not (                           xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                           xbrli:segment[not(@i:nil='true' or @i:nil='1')]/                           xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                            and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                            and regexp:test(., '^RprtPyType\.\d\d\.\d\d:(Payee)$')]                           )                           or                           xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.sbr.gov.au/id' and not(@i:nil='true' or @i:nil='1')]                     " /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000005</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payee entity identifier scheme must 'http://www.sbr.gov.au/id'</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000005</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not (                           xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                           xbrli:segment[not(@i:nil='true' or @i:nil='1')]/                           xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                            and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                            and regexp:test(., '^RprtPyType\.\d\d\.\d\d:(ReportingParty|Intermediary)$')]                           )                           or                           xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/abn' and not(@i:nil='true' or @i:nil='1')]                     " /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000004</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Entity identifier scheme must be 'http://www.ato.gov.au/abn'</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000004</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:variable name="CurrentRPABN" select="./xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/abn']/text()" /><xsl:variable name="CurrentRPContextId" select="./@id" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $RP.Context                         and count(                                 $PAYEE.Context                                 [                                     ./xbrli:entity/xbrli:segment/xbrldi:typedMember[@dimension='ReportingPartyABN.02.00_typedelement:ReportingPartyABNDimension']/ReportingPartyABN.02.00_typedelement:Identifiers.AustralianBusinessNumber.Identifier/text()                                     =                                     $CurrentRPABN                                     and                                     ./xbrli:entity/xbrli:segment/xbrldi:typedMember[@dimension='ReportingPartyBranchCode.02.00_typedelement:ReportingPartyBranchCodeDimension']/ReportingPartyBranchCode.02.00_typedelement:OrganisationDetails.OrganisationBranch.Code/text()                                     =                                     ../pyde.02.00:OrganisationDetails.OrganisationBranch.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $CurrentRPContextId]/text()                                 ]                             ) &lt; 1                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000002</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Each Reporting Party (Payer) context must have at least one Payee context</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>Each Reporting Party (Payer) context must have at least one Payee context with same Reporting Party ABN and branch code.</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000002</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            . = $RP.Context                            and                            (                                                                   function:IsDate1GreaterThanDate2(date:date(concat(number(../pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $CurrentRPContextId]) - 1 , '-07-01') ), date:date(xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]) )                                                       or                                                              function:IsDate1GreaterThanDate2(date:date(xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]) , date:date(concat( number(../pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1') and  @contextRef = $CurrentRPContextId]) , '-06-30') ) )                                                          )                        )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000006</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Reporting party period start date and end date must be within the same financial year</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000006</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             . = $PAYEE.Context                             and                              (   0 = string-length(normalize-space(./xbrli:entity/xbrli:segment/xbrldi:typedMember/ReportingPartyABN.02.00_typedelement:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]/text()))                                 or                                 0 = string-length(normalize-space(./xbrli:entity/xbrli:segment/xbrldi:typedMember/ReportingPartyBranchCode.02.00_typedelement:OrganisationDetails.OrganisationBranch.Code[not(@i:nil='true' or @i:nil='1')]/text()))                             )                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000008</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payee context must contain the Reporting Party (Payer) ABN and branch code</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000008</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $RP.Context and                         not(../pyde.02.00:OrganisationDetails.OrganisationBranch.Code[@contextRef = $CurrentRPContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))  != 0])                      )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000030</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Organisation Branch Code must be present.</sbdm:Message.Event.Item.Short.Description><sbdm:Message.Event.Item.Detailed.Description>Organisation Branch Code must be supplied. If unknown default to "1".</sbdm:Message.Event.Item.Detailed.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000030</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M58" /></xsl:template><xsl:template match="text()" priority="-1" mode="M58" /><xsl:template match="@*|node()" priority="-2" mode="M58"><xsl:apply-templates select="@*|*" mode="M58" /></xsl:template>

<!--
        PATTERN SWS ContextSWS specific validations for contexts that are applicable accross all of the TPAR services.-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M60">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.SWS001</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>The number of Reporting Party (Payer) context must equal one</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.SWS001</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count(                             $PAYEE.Context                                 [                                  ./xbrli:entity/xbrli:segment/xbrldi:typedMember[@dimension='ReportingPartyABN.02.00_typedelement:ReportingPartyABNDimension']/ReportingPartyABN.02.00_typedelement:Identifiers.AustralianBusinessNumber.Identifier/text()                                  and                                  ./xbrli:entity/xbrli:segment/xbrldi:typedMember[@dimension='ReportingPartyBranchCode.02.00_typedelement:ReportingPartyBranchCodeDimension']/ReportingPartyBranchCode.02.00_typedelement:OrganisationDetails.OrganisationBranch.Code/text()                                 ]                             ) &gt; 250                             )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.SWS002</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>The number of Payee contexts must not exceed 250</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.SWS002</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M60" /></xsl:template><xsl:template match="text()" priority="-1" mode="M60" /><xsl:template match="@*|node()" priority="-2" mode="M60"><xsl:apply-templates select="@*|*" mode="M60" /></xsl:template>

<!--
        PATTERN FieldPatternsField Pattern Validations-->


	<!--
      RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M61">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                                              pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and string-length(normalize-space(.)) &gt; 30]                            and                             pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and exslt:uppercase(.)='LGL']                              and                            pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and exslt:uppercase(.)='IDENTIFIER']                                                      and                            pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and exslt:uppercase(.)='C']                              )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000035</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payee family name exceeds maximum length of 30.</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000035</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                                              pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and string-length(normalize-space(.)) &gt; 15]                            and                             pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and exslt:uppercase(.)='LGL']                              and                            pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and exslt:uppercase(.)='IDENTIFIER']                                                      and                            pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and exslt:uppercase(.)='C']                             )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000036</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payee given name exceeds maximum length of 15.</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000036</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                                               pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and string-length(normalize-space(.)) &gt; 15]                            and                             pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and exslt:uppercase(.)='LGL']                              and                            pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and exslt:uppercase(.)='IDENTIFIER']                                                      and                            pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $PAYEE.ContextId and exslt:uppercase(.)='C']                               )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000037</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Payee other given name exceeds maximum length of 15.</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000037</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M61" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M61">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN'] and                          pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and                                                   pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and                         (not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')) and string-length(normalize-space(.)) != 0)]                         )                         " /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000011</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Organisation name must contain at least one alpha character</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000011</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN'] and                          pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and                                                   pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and                         regexp:test(.,'^(.*)(--|(\x27)(\x27)|(\x20)(\x20))(.*)$')]                        )                         " /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000012</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Organisation name cannot contain repeated hyphen, apostrophe, or space characters</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000012</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M61" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M61">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           string-length(normalize-space(.)) &gt; 27                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000022</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Suburb, Town or Locality Name exceeds maximum length of 27 characters.</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000022</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M61" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M61">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $PAYEE.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000038</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Monetary fields must be unsigned and have a maximum of 11 chars, no decimals</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000039</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M61" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr1.02.09:Income.BusinessPaymentGross.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M61">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $PAYEE.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000038</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Monetary fields must be unsigned and have a maximum of 11 chars, no decimals</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000038</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M61" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="rvctc3.02.00:GoodsAndServicesTax.Liability.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M61">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $PAYEE.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000038</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Monetary fields must be unsigned and have a maximum of 11 chars, no decimals</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000040</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M61" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M61">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           string-length(normalize-space(.)) &gt; 38                          )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000015</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Contact Name exceeds maximum length of 38 characters.</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000015</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M61" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M61">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId and . ='03']                          and                          regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                                         [not(@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId],'^(?i)(@)(.*)$')                           or                           regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                                         [not(@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId],'^(.*)(?i)(@)$')                       )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000025</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Email address must not start or end with an @ symbol</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000025</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId and . ='03']                         and                         pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId and                          (                         string-length(normalize-space(.)) != 0                          and                         not(regexp:test(.,'^(?i)(.*)(@)(.*)$'))                         )]                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000026</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Email address must contain an @ symbol</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000026</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId and . ='03']                         and                         pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId and                          (                         string-length(normalize-space(.)) != 0                          and                         not(regexp:test(.,'^(?i)(.*)(\x2E)(.*)$'))                         )]                         )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000027</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Email address must contain a dot (.)</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000027</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M61" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M61">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                              @contextRef =  $INT.ContextId and not(function:ValidateTAN(.))                            )" /><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code>CMN.ATO.TPAR.000045</sbdm:Message.Event.Item.Error.Code><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Message.Event.Item.Short.Description>Tax Agent Number or Registered Agent Number has failed the algorithm check</sbdm:Message.Event.Item.Short.Description><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>DVR.ATO.TPAR.000045</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number" /></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M61" /></xsl:template><xsl:template match="text()" priority="-1" mode="M61" /><xsl:template match="@*|node()" priority="-2" mode="M61"><xsl:apply-templates select="@*|*" mode="M61" /></xsl:template>

<!--
        PATTERN VariablesXBRL variables that are applicable accross all of the TPAR services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:variable name="RP.Identifier.ABN" select="$RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn']/text()" /><xsl:variable name="INT.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]             ]" /><xsl:variable name="INT.ContextId" select="$INT.Context/@id" /><xsl:variable name="INT.Identifier.ABN" select="$INT.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn']/text()" /><xsl:variable name="PAYEE.Context" select="xbrli:xbrl/xbrli:context          [     not(@i:nil='true' or @i:nil='1')         and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]      and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]     and ./xbrli:entity       [        not(@i:nil='true' or @i:nil='1')        and ./xbrli:identifier[@scheme='http://www.sbr.gov.au/id']       ]     and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]       /xbrli:segment       [         not(@i:nil='true' or @i:nil='1')         and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1         and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 2        and         (          count           (            ./xbrldi:explicitMember            [             not(@i:nil='true' or @i:nil='1')              and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')              and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Payee$')            ]           ) = 1         and count           (            ./xbrldi:typedMember            [             not(@i:nil='true' or @i:nil='1')              and regexp:test(@dimension, '^ReportingPartyABN\.\d\d\.\d\d_typedelement:ReportingPartyABNDimension$')             and ReportingPartyABN.02.00_typedelement:Identifiers.AustralianBusinessNumber.Identifier            ]           ) = 1         and count           (            ./xbrldi:typedMember            [             not(@i:nil='true' or @i:nil='1')              and regexp:test(@dimension, '^ReportingPartyBranchCode\.\d\d\.\d\d_typedelement:ReportingPartyBranchCodeDimension$')             and ReportingPartyBranchCode.02.00_typedelement:OrganisationDetails.OrganisationBranch.Code            ]           ) = 1        )       ]    ]    " /><xsl:variable name="PAYEE.ContextId" select="$PAYEE.Context/@id" /><xsl:variable name="PAYEE.Identifier.ABN" select="$PAYEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.sbr.gov.au/id']/text()" /><xsl:template match="text()" priority="-1" mode="M63" /><xsl:template match="@*|node()" priority="-2" mode="M63"><xsl:apply-templates select="@*|*" mode="M63" /></xsl:template></xsl:stylesheet>